Bug 1625314 - kopete not starts on fresh installed F27/28 computers
Summary: kopete not starts on fresh installed F27/28 computers
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kopete
Version: 28
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-09-04 15:57 UTC by Dominik Kucher
Modified: 2018-09-21 07:41 UTC (History)
4 users (show)

Fixed In Version: kopete-17.08.3-1.fc27.1 kopete-17.08.3-6.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-21 06:43:18 UTC
Type: Bug


Attachments (Terms of Use)
clean kopete.spec (14.18 KB, text/plain)
2018-09-10 12:13 UTC, Dominik Kucher
no flags Details

Description Dominik Kucher 2018-09-04 15:57:16 UTC
I tried to install kopete, as soon as I create an account, the program crashes. I suspect that somewhere a Libary is missing the kopete can start. It does not work either on a freshly installed Fedora 27 or 28. On my original Fedora 15 now, Fedora 28 works perfectly and I synce the data, between the three computers. Already tried to install the kopete-18.04.3-3.fc28 version of koji, the same problem remains. Also in the system tray koji is not found.

[root@dk-desktop:~]$ rpm -qa | grep kopete
kopete-devel-17.08.3-5.fc28.x86_64
kopete-17.08.3-5.fc28.x86_64
kopete-libs-17.08.3-5.fc28.x86_64

[dsoft@dk-desktop:~]$ kopete(15051)/libkopete Kopete::PluginManager::loadPluginInternal: Unable to find a plugin named ' "" '! 
KCrash: Application 'kopete' crashing...
KCrash: Attempting to start  from kdeinit
KCrash: Connect sock_file=/home/dsoft/.kde/socket-dk-desktop.daskop/kdeinit4__0
KCrash: Attempting to start  directly
KCrash failed to exec(), errno = 2

Comment 1 Dominik Kucher 2018-09-08 10:01:11 UTC
after install qca-ossl, kopete works 

when you a add to your spec file 

Requires: qca-ossl 

kopete would works out-of-the-box on fresh installed systems, when anybody types "dnf/yum install kopete" in the terminal, and qca-ossl will be installed with kopete

Comment 2 Rex Dieter 2018-09-09 04:10:54 UTC
Thanks for the excellent detective-work.

Comment 3 Dominik Kucher 2018-09-10 12:13:02 UTC
Created attachment 1482115 [details]
clean kopete.spec

Comment 4 Rex Dieter 2018-09-10 15:01:45 UTC
Thanks, but the cosmetic/whitespace changes are not welcome, and the requires appears to be incorrect.

I think you want
Requires: qca-qt5-ossl
instead of
Requires: qca-ossl
which is the qt4-based plugin

Comment 5 Rex Dieter 2018-09-10 15:23:09 UTC
My bad, I forgot that f28 (like f27) still ships kde4-based kopete, so my latter criticism is untrue here.

Comment 6 Dominik Kucher 2018-09-10 16:39:21 UTC
the troubleshooting is: 

%if 0%{?fedora} < 29
Requires: qca-ossl
%else
Requires: qca-qt5-ossl
%endif

Comment 7 Dominik Kucher 2018-09-10 16:55:45 UTC
my bad, i have seen you have change the build from kde4-based kopete to qt5

kopete 17.08.3
%{cmake_kde4}

kopete 18.04.3
%{cmake_kf5}

but I think it's better to switch to qt5 with Fedora 29 first

the troubeshooting is: 
REQUIRES
%if 0%{?fedora} < 29
Requires: qca-ossl
%else
Requires: qca-qt5-ossl
%endif

BUILD
%if 0%{?fedora} < 29
%{cmake_kde4} .. \
  -DMOZPLUGIN_INSTALL_DIR:PATH=%{_libdir}/mozilla/plugins \
  -DWITH_skype:BOOL=OFF \
  -DWITH_wlm:BOOL=OFF \
  %{?use_system_iris:-DUSE_SYSTEM_IRIS:BOOL=ON}
%else
%{cmake_kf5} .. \
  %{?!jingle:-DWITH_libjingle:BOOL=OFF} \
  -DWITH_wlm:BOOL=OFF
%endif

Comment 8 Dominik Kucher 2018-09-10 17:06:40 UTC
I have now downloaded the RPMs from koji and installed on my system, seems to work, would be nice someday if all programs run on qt5 so kde4 can throw away

it is already experimented with qt5 and kde4 since f22 :-) 

[root@srv:~]$ rpm -qa | grep kopete
kopete-libs-18.04.3-4.fc28.x86_64
kopete-18.04.3-4.fc28.x86_64

Comment 9 Rex Dieter 2018-09-10 17:24:41 UTC
Yes, f29 will ship kf5-based kopete.

Prior releases were originally based on the older kde4 version, and introducing an update changing that behavior during a release is discouraged by fedora updates policy.

Comment 10 Fedora Update System 2018-09-10 17:54:30 UTC
kopete-17.08.3-1.fc27.1 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-fd62834492

Comment 11 Fedora Update System 2018-09-10 17:55:13 UTC
kopete-17.08.3-6.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-5fa05ad334

Comment 12 Fedora Update System 2018-09-11 15:44:04 UTC
kopete-17.08.3-1.fc27.1 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-fd62834492

Comment 13 Fedora Update System 2018-09-11 18:11:33 UTC
kopete-17.08.3-6.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-5fa05ad334

Comment 14 Fedora Update System 2018-09-21 06:43:18 UTC
kopete-17.08.3-1.fc27.1 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2018-09-21 07:41:15 UTC
kopete-17.08.3-6.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.